Intermittent dom/media/test/test_mediarecorder_record_changing_video_resolution.html | Test timed out.

RESOLVED FIXED in Firefox 55

Status

()

Core
Audio/Video: Recording
P4
normal
Rank:
45
RESOLVED FIXED
8 months ago
6 months ago

People

(Reporter: aryx, Assigned: pehrsons)

Tracking

(Blocks: 1 bug, {intermittent-failure})

unspecified
mozilla55
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox55 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

+++ This bug was initially created as a clone of Bug #1354506 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=91272380&repo=autoland

[task 2017-04-13T11:00:46.482597Z] 11:00:46     INFO - seekToNextFrame rejected: AbortError: The operation was aborted. 
[task 2017-04-13T11:00:46.483667Z] 11:00:46     INFO - seekToNextFrame rejected: AbortError: The operation was aborted. 
[task 2017-04-13T11:00:46.484636Z] 11:00:46     INFO - seekToNextFrame rejected: AbortError: The operation was aborted. 
[task 2017-04-13T11:00:46.485612Z] 11:00:46     INFO - Buffered messages finished
[task 2017-04-13T11:00:47.014995Z] 11:00:47     INFO - TEST-UNEXPECTED-FAIL | dom/media/test/test_mediarecorder_record_changing_video_resolution.html | Test timed out. 
[task 2017-04-13T11:00:47.015922Z] 11:00:47     INFO -     reportError@SimpleTest/TestRunner.js:121:7
[task 2017-04-13T11:00:47.016102Z] 11:00:47     INFO -     TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7

Comment 1

7 months ago
8 failures in 817 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* graphics: 2
* try: 1

Platform breakdown:
* windows7-32-vm: 3
* linux64: 2
* windows8-64: 1
* linux64-qr: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1356212&startday=2017-04-17&endday=2017-04-23&tree=all

Comment 2

7 months ago
12 failures in 883 pushes (0.014 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 3
* graphics: 2
* autoland: 2
* oak: 1

Platform breakdown:
* linux64: 6
* windows7-32-vm: 2
* linux32: 2
* windows8-64: 1
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1356212&startday=2017-04-24&endday=2017-04-30&tree=all

Comment 3

6 months ago
5 failures in 879 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* graphics: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 3
* windows7-32-vm: 1
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1356212&startday=2017-05-08&endday=2017-05-14&tree=all
(Assignee)

Comment 4

6 months ago
I've run into this test timing out locally and have a fix for it (more info in the commit msg). I'm not sure this very bug is from the same issue, since these logs show rejected seeks, and I never saw that.

The patch fixes the immediate-seek-on-reject though, so we'll get better logs next time this happens.
Assignee: nobody → pehrson
Status: NEW → ASSIGNED
Component: Audio/Video: Playback → Audio/Video: Recording
Comment hidden (mozreview-request)
(Assignee)

Comment 6

6 months ago
try push: https://treeherder.mozilla.org/#/jobs?repo=try&revision=73f49fc974aaeb376c5a4619cd14c12953c941ae
(Assignee)

Updated

6 months ago
Rank: 45
Priority: -- → P4

Comment 7

6 months ago
mozreview-review
Comment on attachment 8869389 [details]
Bug 1356212 - Stabilize test_mr_record_changing_video_resolution.html.

https://reviewboard.mozilla.org/r/140692/#review144590

Looks good to me.

::: dom/media/test/test_mediarecorder_record_changing_video_resolution.html:15
(Diff revision 1)
>  <div id="content">
>  </div>
>  <script class="testbody" type="text/javascript">
>  
>  function startTest() {
> -  var content = document.getElementById("content");
> +  let content = document.getElementById("content");

Nit: this is unused, we can get rid of it, or use it on line 103.

::: dom/media/test/test_mediarecorder_record_changing_video_resolution.html:121
(Diff revision 1)
> +          // After seeking finished we queue the next seek task on the event
> +          // loop so it gets in the same queue as the "resize" events.
> +          setTimeout(seekThroughFrames, 0);
> +        })
> +        .catch(error => {
> +          ok(false, "seekToNextFrame rejected: " + error)

Semicolon after ok.

::: dom/media/test/test_mediarecorder_record_changing_video_resolution.html:123
(Diff revision 1)
> +          setTimeout(seekThroughFrames, 0);
> +        })
> +        .catch(error => {
> +          ok(false, "seekToNextFrame rejected: " + error)
> -      });
> +        });
>      };

Nit: Can drop the semicolon from function decl.
Attachment #8869389 - Flags: review?(bvandyk) → review+

Comment 8

6 months ago
8 failures in 777 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 3
* mozilla-inbound: 3
* oak: 1
* autoland: 1

Platform breakdown:
* linux64: 6
* windows7-32-vm: 1
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1356212&startday=2017-05-15&endday=2017-05-21&tree=all

Comment 9

6 months ago
mozreview-review
Comment on attachment 8869389 [details]
Bug 1356212 - Stabilize test_mr_record_changing_video_resolution.html.

https://reviewboard.mozilla.org/r/140692/#review145038

Looks good, I retriggered Linux tasks ~100 times and there is no error. I hope this one will be the permanent fix.
Attachment #8869389 - Flags: review?(achronop) → review+
Comment hidden (mozreview-request)

Comment 11

6 months ago
Pushed by pehrsons@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/e2e49d66a482
Stabilize test_mr_record_changing_video_resolution.html. r=achronop,SingingTree
https://hg.mozilla.org/mozilla-central/rev/e2e49d66a482
Status: ASSIGNED → RESOLVED
Last Resolved: 6 months ago
status-firefox55: --- → fixed
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
You need to log in before you can comment on or make changes to this bug.